Bug 147595 - xargs -I option does not work
xargs -I option does not work
Product: Fedora
Classification: Fedora
Component: findutils (Show other bugs)
All Linux
medium Severity medium
: ---
: ---
Assigned To: Miloslav Trmač
Mike McLean
Depends On:
  Show dependency treegraph
Reported: 2005-02-09 12:04 EST by Dag Wieers
Modified: 2007-11-30 17:11 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2006-01-11 09:13:13 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Dag Wieers 2005-02-09 12:04:11 EST
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.7.3)
Gecko/20041020 Galeon/1.3.19

Description of problem:
This is supposed to work, both according to the manual and the
command-line help.

[root@emyn ~]# echo -e "file1\nfile2\nfile3" | xargs -I '**' echo '**'
xargs: invalid option -- I
Usage: xargs [-0prtx] [-E eof-str] [-e[eof-str]] [-I replace-str]
       [-i[replace-str]] [-L max-lines] [-l[max-lines]] [-n max-args]
       [-s max-chars] [-P max-procs] [--null] [--eof[=eof-str]]
       [--replace[=replace-str]] [--max-lines[=max-lines]] [--interactive]
       [--max-chars=max-chars] [--verbose] [--exit]
       [--max-args=max-args] [--no-run-if-empty] [--version] [--help]
       [command [initial-arguments]]

Report bugs to <bug-findutils@gnu.org>.

Version-Release number of selected component (if applicable):

How reproducible:

Steps to Reproduce:
1. See report

Expected Results:  I expect the same result as:

[root@emyn ~]# echo -e "file1\nfile2\nfile3" | xargs -i'**' echo '**' blah
file1 blah
file2 blah
file3 blah

Additional info:
Comment 1 Tim Waugh 2005-02-09 12:07:48 EST
This will be fixed in 4.2.x, which will be in rawhide once some other
issues are sorted out.
Comment 2 Miloslav Trmač 2006-01-11 09:13:13 EST
xargs -I works in FC4 findutils-4.2.20-1.

Note You need to log in before you can comment on or make changes to this bug.